Subject: Linux-Activists - Channel DOC digest. 92-11-29-15:45
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Tue, 29 Dec 1992 20:09:11 +0200

Topics:
	 Re: Do devices belong in "man" pages?

----------------------------------------------------------------------

From: [email-masked]
Subject: Re: Do devices belong in "man" pages?
Date: Tue, 29 Dec 1992 17:28:30 +0200

> From: Rick Miller <[email-masked]>
> Subject: Do Devices belong in "man" pages?
> Date: Tue, 22 Dec 1992 14:58:26 +0200
>
> >From: [email-masked] (Michael Haardt)
> >Subject: Chapter 4 manual pages
> >Date: Mon, 21 Dec 1992 15:04:36 +0200
> >
> >As it seems, I am maintaining the roff manual pages.  Currently there is
> >a device list FAQ, which can be easily replaced by appropiate manuals.
> >Any comments about this example?  I first want to get all devices
> >documented, then we can care about describing them more in detail.
>
> ["HD(4)" 'manual page' omitted]
>
> This is *AWFUL*... and I'm not just saying that because I write the
> Linux Device List!  That 'man page' did nothing but list the names of the
> devices, with NO MENTION of what the major/minor numbers need to be for
> specific partitions.

Well, I asked for comments, so ... :)

>                                    I first want to get all devices
> >documented, then we can care about describing them more in detail.

Rereading this sentence shows you why there is no information about what
the major/minor combinations mean (yet).

> BTW:  I've been a UNIX[tm] user for about seven years, and an avidly
>         curious one at that... but I've never heard of "man" pages for
>         device names.  Let's not get wierd here.  You just can't put
>         *everything* in "man" pages.

So you either didn't read enough manuals or your system is weird.  So
let's reread something else too:

1 User commands
2 System calls
3 Library functions
4 Special files (don't confuse with 5!!)
5 File formats
6 Games and demos
7 Misc. (Tables, roff libraries)
8 System administration

What do you think what belongs to chapter 4?  What does your system
offer in that chapter?

> From: Matt Welsh <[email-masked]>
> Subject: Devices in man pages
> Date: Tue, 22 Dec 1992 21:00:46 +0200

>                                                                It would be
> cool to type 'man scsi' to see documentation on the scsi driver, known
> bugs, the use of the driver, and so on. It's not difficult to do, and you
> don't need a speerate man page for EACH device... you'll want one man page
> for 'hda'/'hdb', one for 'fd...' and so on.

I don't even think that hda and hdb are needed, just hd(4) is fine.
scsi(4) see below :)

> From: Rik Faith <[email-masked]>
> Subject: Re: Linux-Activists - Channel DOC digest. 92-11-22-16:39
> Date: Tue, 22 Dec 1992 22:22:16 +0200

> See section 4 of the Manual.  This is sometimes part of the "system
> manager's manual."  Here is an example draft of a more complete man page
> for the sd interface.  (It is based loosely on the Sun man page format.)

At first, thanks for your work on that.  I think the given draft is much
more useful than mine as a frame for other chapter 4 pages.

> [very good manual page deleted]

I am however surprised to see that someone is working on a chapter 4
manual page.  Once again, I think an central archive is needed to store
manual pages, so all people can get them, look what is there and what is
still missing and send back new or improved manuals.  Right now, the
only archive of that is on my HD, but my machine isn't connected to
internet :(

Michael

------------------------------

End of DOC Digest
*****************
-------